OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Classes
juce::NetworkServiceDiscovery Struct Reference

`#include <juce_NetworkServiceDiscovery.h>`

## Classes
struct | Advertiser
struct | AvailableServiceList
struct | Service

## Detailed Description

Contains classes that implement a simple protocol for broadcasting the availability and location of a discoverable service on the local network, and for maintaining a list of known services.

Definition at line 34 of file juce_NetworkServiceDiscovery.h.

## Class Documentation

## ◆ juce::NetworkServiceDiscovery::Service

struct juce::NetworkServiceDiscovery::Service

Contains information about a service that has been found on the network.

See also
  AvailableServiceList, Advertiser

Definition at line 80 of file juce_NetworkServiceDiscovery.h.

Class Members
IPAddress | address | The IP address of the advertiser
String | description | The service description as sent by the Advertiser
String | instanceID | A UUID that identifies the particular instance of the Advertiser class.
Time | lastSeen | The time of the last ping received from the advertiser
int | port | The port number of the advertiser

The documentation for this struct was generated from the following file:

- juce_NetworkServiceDiscovery.h